summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSaketh Pothireddy <spothire@google.com>2024-04-05 20:16:12 +0000
committerChromeos LUCI <chromeos-scoped@luci-project-accounts.iam.gserviceaccount.com>2024-04-08 19:57:31 +0000
commit25e77a6998f90e046117b894016304e2b905042c (patch)
tree2bde7d8bd999998fe2614336278a9450079220c1
parentb824af1e782a4e741fbfe4b0c311de3bc161e2fc (diff)
downloadlibchrome-gestures-upstream-main.tar.gz
gestures: fix chroot path to touchpad-testsupstream-main
Correct path to touchpad-tests when installing regression tests. In my environment this path does not exist, causing `pushd` to fail. However, the following `make` commands run in `gestures` dir creating a few objects. Correcting the path afterwards and re-running this script causes linker issues since `make in-place` is called without a clean. BUG=b:325269580 TEST=Create and push a new commit on fresh checkout with this change. Change-Id: Idcbbb5302fdf98e7abf1e9f47634d2bf645698b6 Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/platform/gestures/+/5426747 Reviewed-by: Torsha Banerjee <torsha@google.com> Code-Coverage: Saketh Pothireddy <spothire@google.com> Tested-by: Saketh Pothireddy <spothire@google.com> Code-Coverage: William Mahon <wmahon@google.com> Reviewed-by: William Mahon <wmahon@google.com> Commit-Queue: Saketh Pothireddy <spothire@google.com>
-rwxr-xr-xtools/regression_test.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tools/regression_test.sh b/tools/regression_test.sh
index f97118a..0cb10d4 100755
--- a/tools/regression_test.sh
+++ b/tools/regression_test.sh
@@ -7,6 +7,9 @@
# Script to run the gesture regression test and check if there is any
# regression for each submit.
+# Exit on errors.
+set -eu
+
# Set current directory to the project one and load the common script.
pushd . >/dev/null
cd "$(dirname "$(readlink -f "$0")")/.."
@@ -31,7 +34,7 @@ update_chroot_library() {
install_regression_test_suite() {
info "Install regression test suite first..."
sudo emerge -q gestures chromeos-base/libevdev utouch-evemu -j3
- pushd ~/trunk/src/platform/touchpad-tests >/dev/null
+ pushd ~/chromiumos/src/platform/touchpad-tests >/dev/null
make -j${NUM_JOBS} -s all
sudo make -s local-install
popd >/dev/null